Compile an UNMODIFIED mod_auth_mysql on ArchLinux

  • PolishHurricane
  • Mastermind
  • Mastermind
  • User avatar
  • Posts: 1585

Post 3+ Months Ago

Hey, I'm trying to compile this UNMODIFIED apache mod in ArchLinux, but I'm a nub...

command line wrote:
apxs -c -L/usr/lib/mysql -I/usr/include/mysql -lmysqlclient -lm -lz mod_auth_mysql.c
/usr/share/apr-1/build/libtool --silent --mode=compile gcc -prefer-pic -march=x86-64 -mtune=generic -O2 -pipe -DLINU X=2 -D_REENTRANT -D_GNU_SOURCE -pthread -I/usr/include/httpd -I/usr/include/apr-1 -I/usr/include/apr-1 -I/usr/incl ude -I/usr/include/mysql -c -o mod_auth_mysql.lo mod_auth_mysql.c && touch mod_auth_mysql.slo
mod_auth_mysql.c:591:2: error: expected expression before âmysql_auth_config_recâ
mod_auth_mysql.c:595:2: error: expected expression before âmysql_auth_config_recâ
mod_auth_mysql.c:599:2: error: expected expression before âmysql_auth_config_recâ
mod_auth_mysql.c:603:2: error: expected expression before âmysql_auth_config_recâ
mod_auth_mysql.c:607:2: error: expected expression before âmysql_auth_config_recâ
mod_auth_mysql.c:611:2: error: expected expression before âmysql_auth_config_recâ
mod_auth_mysql.c:615:2: error: expected expression before âmysql_auth_config_recâ
mod_auth_mysql.c:619:2: error: expected expression before âmysql_auth_config_recâ
mod_auth_mysql.c:623:2: error: expected expression before âmysql_auth_config_recâ
mod_auth_mysql.c:627:2: error: expected expression before âmysql_auth_config_recâ
mod_auth_mysql.c:631:2: error: expected expression before âmysql_auth_config_recâ
mod_auth_mysql.c:635:2: error: expected expression before âmysql_auth_config_recâ
mod_auth_mysql.c:639:2: error: expected expression before âmysql_auth_config_recâ
mod_auth_mysql.c:643:2: error: expected expression before âmysql_auth_config_recâ
mod_auth_mysql.c:651:2: error: expected expression before âmysql_auth_config_recâ
mod_auth_mysql.c:655:2: error: expected expression before âmysql_auth_config_recâ
mod_auth_mysql.c:659:2: error: expected expression before âmysql_auth_config_recâ
mod_auth_mysql.c:663:2: error: expected expression before âmysql_auth_config_recâ
mod_auth_mysql.c:667:2: error: expected expression before âmysql_auth_config_recâ
mod_auth_mysql.c:671:2: error: expected expression before âmysql_auth_config_recâ
mod_auth_mysql.c: In function âformat_requestâ:
mod_auth_mysql.c:947:51: warning: pointer/integer type mismatch in conditional expression
apxs:Error: Command failed with rc=65536


It's just the 3.0.0 source... http://sourceforge.net/projects/modauth ... z/download

What do I do? Thanks
  • Anonymous
  • Bot
  • No Avatar
  • Posts: ?
  • Loc: Ozzuland
  • Status: Online

Post 3+ Months Ago

  • PolishHurricane
  • Mastermind
  • Mastermind
  • User avatar
  • Posts: 1585

Post 3+ Months Ago

Figured this one out finally... You need THIS specific patch. The others don't work (the ones I tried).

Do...
Code: [ Select ]
wget http://www.zoosau.de/wp-content/uploads/mod_auth_mysql-300-apache-22.patch
patch -p0 < mod_auth_mysql-300-apache-22.patch mod_auth_mysql.c
  1. wget http://www.zoosau.de/wp-content/uploads/mod_auth_mysql-300-apache-22.patch
  2. patch -p0 < mod_auth_mysql-300-apache-22.patch mod_auth_mysql.c


Then proceed normal installation.

Post Information

  • Total Posts in this topic: 2 posts
  • Users browsing this forum: No registered users and 33 guests
  • You cannot post new topics in this forum
  • You cannot reply to topics in this forum
  • You cannot edit your posts in this forum
  • You cannot delete your posts in this forum
  • You cannot post attachments in this forum
 
 

© 1998-2014. Ozzu® is a registered trademark of Unmelted, LLC.